DF gibson architects will provide architectural and engineering for design and contract administration services as required in the scope of work.

Ended Definitive Contract Awarded Last action

Contract number
DOLJ109630162
Awardee
Awarding agency
Obligated
$3,361,469

Award facts

Opportunity
Contract value 100% obligated
$3,366,379.15 Current and potential, with all options
Completion date 100% complete
Current and potential, with all options
Funding agency
Job Corps National Office Office of Job Corps, Department of Labor
NAICS code
541310 Architectural Services
Set-aside
Total Small Business
Competition
Full and Open Competition after exclusion of sources · 4 offers Negotiated Proposal / Quote
Pricing
Firm Fixed Price
Place of performance
Bronx, NY 10453, USA
Legislative mandates

Award details come from SAM.gov/FPDS.

Transactions

Action Obligated Date
Change Order 40 · South bronx JCC a/E 1. Final payment due to the contractor which covers DF gibson's services for close-out based upon the substantial completion certificate for… $17,515
Change Order 39 · South bronx JCC a/E 1. RFC 058- extend the contract period of performance 60 days (non-COMPENSABLE) the a/E period of performance is extended 60 days from… $0
Change Order 38 · South bronx JCC a/E 1. RFC 0056- compensation for additional a/E construction services for the period june 4 - november 30, 2018. 2. RFC 0057- extend the a/E… $72,047
Change Order 37 · South bronx JCC a/E RFC 0055- request for 102 calendar days (non-COMPENSABLE) extend the a/E period of performance to accommodate the contractors' current… $0
Change Order 36 · South bronx JCC (a & E) RFC 053 request for equitable adjustment (REA)for additional MEP CA services. Provide equitable adjustment for additional mechanical,… $64,563
Change Order 35 · South bronx JCC (a & E) RFC 54 (UNILATERAL) period of performance extension (77 days) extend the current period of performance to accommodate the current… $0
Change Order 34 · 1.provide equitable adjustments ($25,529.45) for additional mechanical, electrical, and plumbing (MEP) consultancy services from august 31, 2012 to january… $25,529
Change Order 33 $110,156
Change Order 32 $51,210
Other Administrative Action 31 $0
Change Order 30 $39,511
Change Order 29 $219,243
Change Order 28 $13,208
Funding Only Action 27 $140,139
Other Administrative Action 26 $0
Change Order 25 $163,536
Change Order 24 $103,120
Change Order 23 $14,106
Supplemental Agreement for work within scope 22 · Project: building 1 renovations, south bronx job corps center, bronx, new york 1) this modification is being done to fund additional CA services. $623,045
Change Order 21 $42,349
Change Order 20 $52,900
Change Order 19 $74,435
Change Order 18 $890,366
Change Order 17 · Change order for south bronx job corps center (building 1 renovations) - RFC 024: reporting of key personnel administrative change no cost/no time ($0.00) RFC… $6,000
Change Order 16 · Change order for south bronx job corps center (building 1 renovations - mechanical room roof replacement) $7,129
Change Order 15 $78,705
Change PIID 1AMS · Additional site visits $0
Supplemental Agreement for work within scope 14 · A/E services for building renovations at the south bronx JCC. Modification for commissioning services for construction. $31,000
Other Administrative Action 13 $2,880
Other Administrative Action 12 $7,790
Other Administrative Action 11 $0
Other Administrative Action 10 $925
Other Administrative Action 9 $21,773
Other Administrative Action 8 $16,927
Other Administrative Action 2 $0
Other Administrative Action 1 $0
Original award $471,359
Show all 37

About this award

This is a definitive contract awarded by the Job Corps National Office, a civilian agency, to DF Gibson Architects PC, a small business subchapter S corporation. The contract provides for architectural and engineering design and contract administration services, with a total ceiling value of $3,366,379.15 and a completion date of December 31, 2019. The contract was awarded on a firm fixed-price basis.

Quick answers

Who was awarded contract DOLJ109630162?

DOLJ109630162 was awarded to DF Gibson Architects PC by Employment and Training Administration (Department of Labor) on May 28, 2010.

How much is contract DOLJ109630162 worth?

The government has obligated $3,361,469 on DOLJ109630162. Its current value, with exercised options, is $3,366,379.

Which agency awarded contract DOLJ109630162?

Employment and Training Administration (Department of Labor) awarded DOLJ109630162, with funding from Job Corps National Office (Office of Job Corps).

Was contract DOLJ109630162 competed?

The extent of competition for DOLJ109630162 was full and open competition after exclusion of sources. The government received 4 offers. It was set aside: Total Small Business.

On GovTribe

See this award's full record

  • Every transaction and funding action
  • The awardee's other awards and teaming partners
  • Similar awards and recompete opportunities
  • Ask GovTribe AI about this award